# cabal2spec falsely detects this as a binlib package because of tests

%global pkg_name dataenc

%global common_summary Haskell encoding library

%global common_description Data encoding library currently providing Base16, Base32, Base32Hex, Base64,\
Base64Url, Base85, Python string escaping, Quoted-Printable, URL encoding,\
uuencode, xxencode, and yEncoding.

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.13.0.3
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
%if %{with hscolour}
BuildRequires:  hscolour
%endif

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Aug 19 2010 Jens Petersen <petersen@redhat.com> - 0.13.0.3-1
- update to 0.13.0.3
- build with hscolour and ghc-rpm-macros-0.8.1

* Sat Jun 26 2010 Jens Petersen <petersen@redhat.com> - 0.13.0.2-3
- sync cabal2spec-0.22

* Sat Apr 24 2010 Jens Petersen <petersen@redhat.com> - 0.13.0.2-2
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Sat Jan 23 2010 Jens Petersen <petersen@redhat.com> - 0.13.0.2-1
- BSD license
- summary and description from hackage

* Sat Jan 23 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.13.0.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.21.1
